Skip to main content

## Value

# Type Alias Value

Source

    pub type Value<'tcx> = ClosureTypeInfo<'tcx>;

## Aliased Type§

    pub struct Value<'tcx> {
        user_provided_sig: Canonical<TyCtxt<'tcx>, Binder<TyCtxt<'tcx>, FnSig<TyCtxt<'tcx>>>>,
        captures: &'tcx RawList<(), &'tcx CapturedPlace<'tcx>>,
        kind_origin: Option<&'tcx (Span, Place<'tcx>)>,
    }

## Fields§

§`user_provided_sig: Canonical<TyCtxt<'tcx>, Binder<TyCtxt<'tcx>, FnSig<TyCtxt<'tcx>>>>`§`captures: &'tcx RawList<(), &'tcx CapturedPlace<'tcx>>`§`kind_origin: Option<&'tcx (Span, Place<'tcx>)>`

## Layout§

Note: Most layout information is completely unstable and may even differ between compilations. The only exception is types with certain `repr(...)` attributes. Please see the Rust Reference's “Type Layout” chapter for details on type layout guarantees.

Size: 56 bytes